Skip to main content
Want to skip the docs? Use the MCP Server
Endpoint availability: Premium and aboveLearn more
{
  "data": {
    "carrier": "",
    "reason": "Invalid phone number structure.",
    "isValid": false,
    "custom_rules_applied": {
      "total": 0,
      "rules": []
    }
  },
  "status": "success",
  "executionTime": 1
}
GET
/
scoring
/
phone
Phone Number Scoring
curl --request GET \
  --url https://greipapi.com/scoring/phone \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "carrier": "",
    "reason": "Invalid phone number structure.",
    "isValid": false,
    "custom_rules_applied": {
      "total": 0,
      "rules": []
    }
  },
  "status": "success",
  "executionTime": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.greip.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

phone
string
required
The phone command is used to specify the phone number you want to validate.Expected values: a phone numberSample value: +12121234567, 0012121234567, 12121234567, or 2121234567
countryCode
string
required
The ISO 3166-1 alpha-2 format of the country code of the phone number. Learn moreSample value: US
format
string
default:"JSON"
The format command is used to get a response in a specific format.Expected values: JSON, XML, CSV, or NewlineFor more information please refer to Response Format.
mode
string
default:"live"
The mode command is used to in the development stage to simulate the integration process before releasing it to the production environment.Expected values: live, or test.For more information please refer to Development Environment.
userID
string
The userID command can be used to identify requests sent by specific users to monitor in the Events Page.Expected values: email address, phone number, user id, name, etc.For more information please refer to User Identifier.
callback
string
The callback command can help you make the response as a JSONP format.Expected values: any name that can be used as a function name in Javascript, e.g: myFunctionName.For more information please refer to JSONP Callback.

Response properties

data
object
required
status
string
required
The response status.Expected values: success, or error.
executionTime
integer
required
Time spent in milliseconds to process the data.

What can I expect from this API?

  • Detection of disposable phone numbers (also known as Temporary Phone Numbers) or numbers associated with VoIP services
  • Validation of phone number syntax